import request from '@/axios';

export const getList = (current, size, params) => {
  return request({
    url: '/blade-transport/common-address/list',
    method: 'get',
    params: {
      ...params,
      current,
      size,
    },
  });
};

export const getDetail = id => {
  return request({
    url: '/blade-transport/common-address/detail',
    method: 'get',
    params: {
      id,
    },
  });
};

export const submit = row => {
  return request({
    url: '/blade-transport/common-address/submit',
    method: 'post',
    data: row,
  });
};

export const remove = ids => {
  return request({
    url: '/blade-transport/common-address/remove',
    method: 'post',
    params: {
      ids,
    },
  });
};
